package com.ruoyi.voluntary.service;

import java.util.List;
import com.ruoyi.voluntary.domain.BusiCardsOpen;

/**
 * 开卡Service接口
 * 
 * @author voluntary
 * @date 2022-12-03
 */
public interface IBusiCardsOpenService 
{
    /**
     * 查询开卡
     * 
     * @param id 开卡主键
     * @return 开卡
     */
    public BusiCardsOpen selectBusiCardsOpenById(Long id);

    /**
     * 查询开卡列表
     * 
     * @param busiCardsOpen 开卡
     * @return 开卡集合
     */
    public List<BusiCardsOpen> selectBusiCardsOpenList(BusiCardsOpen busiCardsOpen);

    /**
     * 新增开卡
     * 
     * @param busiCardsOpen 开卡
     * @return 结果
     */
    public int insertBusiCardsOpen(BusiCardsOpen busiCardsOpen);

    /**
     * 修改开卡
     * 
     * @param busiCardsOpen 开卡
     * @return 结果
     */
    public int updateBusiCardsOpen(BusiCardsOpen busiCardsOpen);

    /**
     * 批量删除开卡
     * 
     * @param ids 需要删除的开卡主键集合
     * @return 结果
     */
    public int deleteBusiCardsOpenByIds(Long[] ids);

    /**
     * 删除开卡信息
     * 
     * @param id 开卡主键
     * @return 结果
     */
    public int deleteBusiCardsOpenById(Long id);
}
